.nav {
  color: $main-color;
  background: #27262a;
  font-weight: 700;
  padding: 0 9rem;


  &__box {
	@include flex-center($wrap:nowrap);
	padding: 3rem 0;
	margin: 0 auto;
	max-width: 1200px;
  }

  &__item {
	margin-left: 4.8rem;
	flex: 0 0;
  }

  &__menu {
	@include flex-center($wrap:nowrap);
  }

  &__link {
	font-size: 1.6rem;
	text-decoration: none;
	color: $main-color;

	&:hover {
	  color: #fff;
	}
  }

  &__buy {
	text-decoration: none;
	margin-left: 4.8rem;
	padding: 1.2rem 3.5rem;
	font-size: 1.6rem;
	@include button;
  }

  &__dropdown-button {
	display: none;
  }

}

.logo {
  display: flex;
  flex: 1;
  align-items: center;
  @include text-none;

  &__h3 {
	display: inline;
	font-size: 2.4rem;
	font-weight: 700;
	margin-left: 1.7rem;
	color: $main-color;
	@include text-none;

	&:hover {
	  color: #ffffff;

	}
  }
}

@media screen and (min-width: 320px) and (max-width: 480px) {
  .logo {
	flex: 0;
  }
  .nav {
	padding: 3.3rem 1.5rem;

	&__box {
	  @include flex-center($jc: space-between);
	  padding: 0;
	}

	&__menu {
	  display: block;
	  visibility: hidden;
	  opacity: 0;
	  position: absolute;
	  z-index: 1;
	  left: 50%;
	  transform: translate(-50%);
	  top: 10.8rem;
	  background: #ffffff;

	  &.active {
		visibility: visible;
		opacity: 1;
		background: #333333;
	  }
	}

	&__item {
	  position: relative;
	  display: block;
	  margin-left: 0;
	  padding: 3.1rem 5rem 3.1rem 5rem;
	  border-bottom: 1px solid #3b3b3b;

	  &:hover .nav__link {
		color: #8d81ac;

		&::before {
		  position: absolute;
		  top: 2rem;
		  left: 0;
		  content: "";
		  display: block;
		  height: 5.3rem;
		  width: .8rem;
		  background: #8d81ac;
		}
	  }
	}

	&__link {
	  font-size: 2.6rem;
	  color: white;
	}

	&__buy {
	  margin: 0;
	  font-size: 1.5rem;
	}

	&__dropdown-button {
	  //border: 1px solid #000;
	  position: relative;
	  display: block;
	  padding: 2rem;
	  background-color: #27262a;

	  & span,
	  & span::before,
	  & span::after {
		position: absolute;
		top: 50%;
		left: 0;
		width: 2.6rem;
		height: 3px;
		background-color: #fff;
		transition: .3s;
	  }

	  & span::before,
	  & span::after {
		content: '';
		display: block;

	  }

	  & span {
		left: .8rem;
	  }

	  & span::before {
		top: 8px;
	  }

	  & span::after {
		left: .6rem;
		width: 2rem;
		top: -8px;
	  }
	}

	&__active span {
	  background-color: #27262a;
	}

	&__active span::before {
	  top: 0;
	  transform: rotate(-45deg);
	}

	&__active span::after {
	  top: 0;
	  left: 0;
	  width: 2.6rem;
	  transform: rotate(45deg);
	}
  }

  .logo__h3 {
	display: none;
  }

}



@media screen and (min-width: 481px) and (max-width: 992px) {
  .nav {
	padding: 0;

	&__box {
	  flex-flow: row wrap;
	  height: 15.8rem;
	  padding: 2.2rem 2rem 2.2rem;
	  align-items: flex-end;
	}

	&__menu {
	  padding: 0;
	  position: absolute;
	  display: flex;
	  flex-flow: row nowrap;
	  width: 90%;
	  justify-content: space-around;

	}

	&__item {
	  margin: 0;
	  flex-shrink: 1;
	  flex-grow: 0;
	  flex-basis: 5rem;
	  align-self: center;
	}

	&__buy {
	  margin: 0;
	  padding: 1.2rem 3.5rem;
	  align-self: flex-start;
	}

	&__link {

	}
  }
  .logo {
	align-self: flex-start;
	flex: 1;

	&__h3 {
	  display: block;
	}
  }
}
